<template>
  <nav
    class="breadcrumb has-succeeds-separator"
    aria-label="breadcrumbs"
  >
    <ul>
      <li
        v-for="(item, index) in items"
        :key="index"
        :class="{ 'is-active': index === items.length - 1 }"
      >
        <nuxt-link
          v-if="item?.to"
          :to="item.to"
          :aria-current="index === items.length - 1 ? 'page' : undefined"
        >
          {{ item.text }}
        </nuxt-link>
        <span v-else>
          {{ item.text }}
        </span>
      </li>
    </ul>
  </nav>
</template>

<script setup lang="ts">
interface BreadcrumbItem {
  text: string
  to: string | { name: string, params?: Record<string, string>, query?: Record<string, string> }
}

defineProps<{
  items: BreadcrumbItem[]
}>()
</script>

<style lang="scss" scoped>
.breadcrumb {
  margin-top: 1.5rem;
}
</style>
